Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514137 - [RHV] Console access failed: undefined method `get_resource_by_ems_ref' for #<OvirtSDK4::Connection:0x000000133f3c80>
Summary: [RHV] Console access failed: undefined method `get_resource_by_ems_ref' for #...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Moti Asayag
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On: 1512364 1528228
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 17:31 UTC by Satoe Imaishi
Modified: 2018-03-06 15:15 UTC (History)
9 users (show)

Fixed In Version: 5.9.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1512364
Environment:
Last Closed: 2018-03-06 15:15:20 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-11-29 20:45:58 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-ovirt/commit/e80e45f6d8aa0f0e8442c57d32ff1969758fa98f

commit e80e45f6d8aa0f0e8442c57d32ff1969758fa98f
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Thu Nov 16 10:20:38 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Nov 17 10:55:29 2017 -0500

    Merge pull request #145 from masayag/support_remote_console_v4
    
    Fix remote console for v4
    (cherry picked from commit 27bc721af4a1db8fffce660d412acefa54b3217d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1514137

 .../redhat/infra_manager/ovirt_services/builder.rb |  2 +-
 .../infra_manager/ovirt_services/strategies/v3.rb  | 20 +++++++++++++++++++
 .../infra_manager/ovirt_services/strategies/v4.rb  | 23 ++++++++++++++++++++++
 .../redhat/infra_manager/vm/remote_console.rb      | 23 +---------------------
 4 files changed, 45 insertions(+), 23 deletions(-)

Comment 3 Ilanit Stein 2018-01-01 08:52:07 UTC
Verified on CFME-5.9.0.14/RHV-4.1.8


Note You need to log in before you can comment on or make changes to this bug.